Bug 928573 - Review Request: python-webob1.1 - WSGI request and response object
Summary: Review Request: python-webob1.1 - WSGI request and response object
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-28 01:20 UTC by Luke Macken
Modified: 2016-09-20 02:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:03:09 UTC
Type: ---
p: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Luke Macken 2013-03-28 01:20:37 UTC
Spec URL: http://lmacken.fedorapeople.org/rpms/python-webob1.1.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-webob1.1-1.1.1-6.fc20.src.rpm
Fedora Account System Username: lmacken
Description:
WebOb provides wrappers around the WSGI request environment, and an object to
help create WSGI responses. The objects map much of the specified behavior of
HTTP, including header parsing and accessors for other standard parts of the.
environment.

Comment 1 Luke Macken 2013-03-28 01:27:46 UTC
Based on the current python-webob package. Needed for TurboGears2 until 2.3 is released.

Comment 2 Pádraig Brady 2013-03-28 09:59:57 UTC
Given the envisioned short lifetime for this compat package,
it might be preferable to backport the webob compat code
from to TurboGears2: https://github.com/TurboGears/tg2/commit/4cf8a68f

Comment 3 Pádraig Brady 2013-03-28 10:03:49 UTC
All good thanks!

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/padraig/928573-python-webob1.1/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 276480 bytes in 26 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[-]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-webob1.1-1.1.1-6.fc18.noarch.rpm
python-webob1.1.noarch: W: spelling-error %description -l en_US accessors -> accessory, accessorize, successors
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-webob1.1
python-webob1.1.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-webob1.1 (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-webob1.1:
    python-webob1.1



MD5-sum check
-------------
http://pypi.python.org/packages/source/W/WebOb/WebOb-1.1.1.zip :
  CHECKSUM(SHA256) this package     : 21f3a2ecea66129b20ba757fafa087af8ba85e413c77972accdeb56a50f1eff6
  CHECKSUM(SHA256) upstream package : 21f3a2ecea66129b20ba757fafa087af8ba85e413c77972accdeb56a50f1eff6


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29

Comment 4 Luke Macken 2013-03-29 21:13:06 UTC
New Package SCM Request
=======================
Package Name: python-webob1.1
Short Description: WSGI request and response object
Owners: lmacken
Branches: f19

Comment 5 Kevin Fenzi 2013-04-01 19:44:50 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-04-02 16:14:53 UTC
python-webob1.1-1.1.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-webob1.1-1.1.1-6.fc19

Comment 7 Fedora Update System 2013-04-02 19:18:01 UTC
python-webob1.1-1.1.1-6.fc19 has been pushed to the Fedora 19 testing repository.

Comment 8 Fedora Update System 2013-04-27 03:03:11 UTC
python-webob1.1-1.1.1-6.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.